# Generated from discourse_fastimage-2.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name discourse_fastimage

Name: rubygem-%{gem_name}
Version: 2.1.0
Release: 1%{?dist}
Summary: FastImage - Image info fast
License: MIT
URL: http://github.com/sdsykes/fastimage
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(fakeweb) >= 1.3
# BuildRequires: rubygem(fakeweb) < 2
# BuildRequires: rubygem(test-unit)
BuildArch: noarch

%description
FastImage finds the size or type of an image given its uri by fetching as
little as needed.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.textile

%changelog
* Mon Sep 13 2021 mockbuilder - 2.1.0-1
- Initial package
